Generate Audio Sample
curl --request POST \
--url https://app.luly.ai/api/v1/voices/{id}/sample \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"text": "<string>",
"voice_settings": {},
"language": "<string>"
}
'import requests
url = "https://app.luly.ai/api/v1/voices/{id}/sample"
payload = {
"text": "<string>",
"voice_settings": {},
"language": "<string>"
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', voice_settings: {}, language: '<string>'})
};
fetch('https://app.luly.ai/api/v1/voices/{id}/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
(Generated audio file)
Voices
Generate Audio Sample
Generate an audio sample for a voice.
POST
/
v1
/
voices
/
{id}
/
sample
Generate Audio Sample
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The ID of the voice to generate the audio sample for, or it’s name (like “maya”).
Request Body
string
required
The text content to be spoken in the voice sample.Character limit:
200 characters.object
Alternate
voice_settings can be passed in to override the preset’s default settings.string
The language of the text content. Default is
ENG.Some other language codes: “ESP”, “GER”, “FRE”Response
audio
The generated audio file of the spoken text using the specified or overridden voice preset settings.
(Generated audio file)
⌘I